///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (c) 2000-2023 Ericsson Telecom AB                               //
//                                                                           //
// All rights reserved. This program and the accompanying materials          //
// are made available under the terms of the Eclipse Public License v2.0     //
// which accompanies this distribution, and is available at                  //
// https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html                                 //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
[MODULE_PARAMETERS]
tsp_xtdp_listen_addr := "159.107.193.33" 
tsp_xtdp_listen_port := 3480
tsp_nrOfLGens:=1;
tsp_EPTF_LGenBaseDebugTraffic := true;
tsp_EPTF_LGenBaseDebug:=true;
tsp_EPTF_SimpleHelloNoOfEntities:=1;
tsp_EPTF_SimpleHello_logEnabled := true;
tsp_EPTF_SimpleHello_loggingEnable := true;
// external template path
tsp_EPTF_SimpleHello_templPath_CustomRequest := "./request_templ.txt";

tsp_EPTF_CommPort_UDP_remote_addr := "127.0.0.1";
tsp_EPTF_CommPort_UDP_remote_port := 10004;

//GUI window size
tsp_EPTF_GUI_Main_Window_Width := 1020.0;
tsp_EPTF_GUI_Main_Window_Height := 820.0;

tsp_modulePar_compactFsmTables := {
  {
    name := "Client",
    //DOT: digraph c_EPTF_SimpleHello_FSM_Client {    
    //             [0]   
    stateList := {"idle","sentSimple","sentHello","sentBye"}, 
    timerList := {{name:= "dummy", startValue := 0.1}},
    table := {
      {eventToListen := {bName := "EPTF_CLL_LGenBase",iName := "LGenBase: Start_the_traffic_case!",eventType := fsm},
        cellRow := {
          //state[0]==idle 
	  //DOT: idle -> sentSimple [label="i:startTC\n o:Simple"]
          	   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendSimple", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "sentSimple"},
          //state[1]==sentSimple  
	  	   {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[2]==sentHello  
	 	   {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[3]==sentBye
		   {actionList := omit, nextStateCalculation := omit, nextState := omit}
        } 
      },
      {eventToListen := {bName :="SimpleHello Server Behavior",iName := "SimpleHello: Ack for Simple message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle
	 	   {actionList := omit, nextStateCalculation := omit, nextState := omit},
         //state[1]==sentSimple
	 //DOT: sentSimple -> sentHello [label="i:Ack for Simple\n o:Hello"]		 
		   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendHello", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "sentHello"},
         //state[2]==sentHello
	 //DOT: sentHello -> sentHello [label="i:Ack for Simple\n o:Hello"]		      
		 {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendHello", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "sentHello"},
	 //state[3]==sentBye
	 //DOT: sentBye -> sentHello [label="i:Ack for Simple\n o:Hello"]	  
		 {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendHello", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "sentHello"}
    }
  },
    {eventToListen := {bName :="SimpleHello Server Behavior",iName := "SimpleHello: Ack for Hello message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle 
          {actionList := omit, nextStateCalculation := omit, nextState := omit},
         //state[1]==sentSimple 
		   {actionList := omit, nextStateCalculation := omit, nextState := omit},
         //state[2]==sentHello
	 //DOT: sentHello -> sentBye [label="i:Ack for Hello\n o:Bye"]	     
		  {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendBye", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "sentBye"},
	 //state[3]==sentBye 
		  {actionList := omit, nextStateCalculation := omit, nextState := omit}
    }
  },
   {eventToListen := {bName :="SimpleHello Server Behavior",iName := "SimpleHello: Ack for Bye message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle 
          {actionList := omit, nextStateCalculation := omit, nextState := omit},
         //state[1]==sentSimple 
		   {actionList := omit, nextStateCalculation := omit, nextState := omit},
         //state[2]==sentHello     
		  {actionList := omit, nextStateCalculation := omit, nextState := omit},
	 //state[3]==sentBye
	 //DOT: sentBye -> idle [label="i:Ack for Bye\n o:"]	
		   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_over", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "idle"}
    }
  }
//DOT: }

} 
  },
   {
    name := "Server",
    //DOT: digraph c_EPTF_SimpleHello_FSM_Server {    
    //             [0]   
    stateList := {"idle","waitforSimple","waitforHello","waitforBye"}, 
    timerList := {{name:= "dummy", startValue := 0.1}},
    table := {
      {eventToListen := {bName := "EPTF_CLL_LGenBase",iName := "LGenBase: Start_the_traffic_case!",eventType := fsm},
        cellRow := {
          //state[0]==idle
	  //DOT: idle -> waitforSimple [label="i:startTC\n o:"]	   
          {actionList := omit, nextStateCalculation := omit, nextState := "waitforSimple"},
          //state[1]==waitforSimple 
		   {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[2]==waitforHello 
		   {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[3]==waitforBye
		   {actionList := omit, nextStateCalculation := omit, nextState := omit}
        } 
      },
      {eventToListen := {bName :="SimpleHello Server Behavior",iName := "SimpleHello: Simple message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle 
          {actionList := omit, nextStateCalculation := omit, nextState := omit},
          //state[1]==waitforSimple
	  //DOT: waitforSimple -> waitforHello [label="i:Simple\n o:Ack for Simple"]	   
		   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendAck_forSimple", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "waitforHello"},
          //state[2]==waitforHello     
		  {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[3]==waitforBye
	 	   {actionList := omit, nextStateCalculation := omit, nextState := omit}
    }
  },
       {eventToListen := {bName :="SimpleHello Server Behavior",iName := "SimpleHello: Hello message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle 
          {actionList := omit, nextStateCalculation := omit, nextState := omit},
          //state[1]==waitforSimple 
		    {actionList := omit, nextStateCalculation := omit, nextState := omit},
          //state[2]==waitforHello
	  //DOT: waitforHello -> waitforBye [label="i:Hello\n o:Ack for Hello"]	       
		   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendAck_forHello", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "waitforBye"},
	  //state[3]==waitforBye
	 	   {actionList := omit, nextStateCalculation := omit, nextState := omit}
    }
  },
   {eventToListen := {bName :="SimpleHello Server Behavior",iName :="SimpleHello: Bye message has been received",eventType := entity},
        cellRow := {
          //state[0]==idle 
          {actionList := omit, nextStateCalculation := omit, nextState := omit},
          //state[1]==waitforSimple 
		   {actionList := omit, nextStateCalculation := omit, nextState := omit},
          //state[2]==waitforHello    
		  {actionList := omit, nextStateCalculation := omit, nextState := omit},
	  //state[3]==waitforBye
	  //DOT: waitforBye -> idle [label="i:Bye\n o:Ack for Bye"]	  
		   {actionList := {{stepOrFunctionName := "SimpleHello: StepFunction_sendAck_forBye", contextArgs :=omit}}, nextStateCalculation := omit, nextState := "idle"}
    }
  }
//DOT: }

} 
  }
}

tsp_LGenBase_EntityGrpDeclarators := {
  {name := "server_group", eType := "Entity_SimpleHelloServer", eCount := 1},
  {name := "client_group", eType := "Entity_SimpleHelloServer", eCount := 1} 
}

tsp_LGenBase_TcMgmt_ScenarioDeclarators3 := { // R3 scenario declarator
    {
      name := "scenario_0",
      tcList := {
        {
          tcName := "TC0",
	  tcParamsList := {
            {startDelay := 0.0},
      	    {enableEntitiesAtStart := true},
            {enabledAtStart := true},
            {target := {cpsToReach := 1.0}},
            {scheduler := {preDefinedName := orig}},
            {entitySelection := round_robin},
            {ranges:= {}},
            {params:= {}},
            {entityFinishConditions:= {}},
            {entityFinishActions:= {}},
            {trafficStartFinish:= {
       	      {nrOfSuccesses := {count := 1, actions := {}}},
	      {execTime := {time := 100.0, actions := {}}}
	    }},
            {trafficFinishedActions:= {}},
            {templateSet:= {}},
            {tcTypeName:= "TC0"}	    
	  }
        }
      },
      scParamsList := {} 
    },
    {
    name := "scenario_1",
      tcList := {
        {
          tcName := "TC1",
	  tcParamsList := {
            {startDelay := 0.0},
      	    {enableEntitiesAtStart := true},
            {enabledAtStart := true},
            {target := {cpsToReach := 1.0}},
            {scheduler := {preDefinedName := orig}},
            {entitySelection := round_robin},
            {ranges:= {}},
            {params:= {}},
            {entityFinishConditions:= {}},
            {entityFinishActions:= {}},
            {trafficStartFinish:= {
       	      {nrOfSuccesses := {count := 1, actions := {}}},
	      {execTime := {time := 100.0, actions := {}}}
	    }},
            {trafficFinishedActions:= {}},
            {templateSet:= {}},
            {tcTypeName:= "TC1"}	    
	  }	  
	}
      },
      scParamsList := {}      
    }
  }

tsp_LGenBase_Scenarios2Grps := {
  {eGrpName := "server_group", scenarioNames := {"scenario_0"}},
  {eGrpName := "client_group", scenarioNames := {"scenario_1"}}
}


tsp_LGenBase_TcMgmt_tcTypeDeclarators2 := { 
  {
    name := "TC0",
    fsmName := "Server",
    entityType := "Entity_SimpleHelloServer",
    customEntitySucc := ""
  },
  {
    name := "TC1",
    fsmName := "Client",
    entityType := "Entity_SimpleHelloServer",
    customEntitySucc := ""
  }  
}

///////////////////////////////////////////////////////////////////////////////
// Obsolete Titansim R2 declarators begin
///////////////////////////////////////////////////////////////////////////////
/*
tsp_LGenBase_ScenarioDeclarators := { // old scenario declarator
    {
      name := "scenario_0",
      tcList := {
        {
          tcName := "TC0",
          startDelay := 0.0,
          cpsToReach := 1.0,
          enableEntities := true,
          enable := true,
          ranges := {}
        }
      }
    },
   {
    name := "scenario_1",
      tcList := {
        {
          tcName := "TC1",
          startDelay := 0.0,
          cpsToReach := 1.0,
          enableEntities := true,
          enable := true,
          ranges := {}
        }     
    }
  }
}

tsp_LGenBase_tcTypeDeclarators := {
    {
    name := "TC0",
    fsmName := "Server", // Declared in AppLib_A_Definitions as: 'const charstring c_A_fsmName_basicOutgoingCall := "FSM for outgoing call";'

    entityType := "Entity_SimpleHelloServer",
    customEntitySucc := "",
    groupFinishConditions := {
      nrOfExecStart := omit,
      nrOfSuccesses := 1,
      nrOfFails := omit,
      nrOfGrpLoop := 1,
      nrOfRangeLoop := omit,
      execTime := 100.0,
      customFinishCondition := omit
    },
    entityFinishConditions := {
      nrOfExecStart := 1,
      nrOfSuccesses := omit,
      nrOfFails := omit,
      customFinishCondition := omit
    },
    groupFinishActions := {},
    entityFinishActions := {
    },
    params := {}
  },  
  {
    name := "TC1",
    fsmName := "Client", // Declared in AppLib_A_Definitions as: 'const charstring c_A_fsmName_basicOutgoingCall := "FSM for outgoing call";'

    entityType := "Entity_SimpleHelloServer",
    customEntitySucc := "",
    groupFinishConditions := {
      nrOfExecStart := omit,
      nrOfSuccesses := 1,
      nrOfFails := omit,
      nrOfGrpLoop := 1,
      nrOfRangeLoop := omit,
      execTime := 100.0,
      customFinishCondition := omit
    },
    entityFinishConditions := {
      nrOfExecStart := 1,
      nrOfSuccesses := omit,
      nrOfFails := omit,
      customFinishCondition := omit
    },
    groupFinishActions := {},
    entityFinishActions := {
    },
    params := {}
  } 
}
*/
///////////////////////////////////////////////////////////////////////////////
// Obsolete Titansim R2 declarators end
///////////////////////////////////////////////////////////////////////////////


#ModuleName.SampleParameter := SampleValue
[TESTPORT_PARAMETERS]
*.EPTF_guiPortIf.destIPAddr := "localhost"
*.EPTF_guiPortIf.use_connection_ASPs := "yes"
*.EPTF_guiPortIf.packet_hdr_length_offset := "0"
*.EPTF_guiPortIf.packet_hdr_nr_bytes_in_length := "4"
*.EPTF_guiPortIf.packet_hdr_byte_order := "MSB"
*.EPTF_guiPortIf.server_mode := "no"
*.EPTF_guiPortIf.halt_on_connection_reset := "no"
*.xtdp_port.use_connection_ASPs := "yes"
*.xtdp_port.packet_hdr_length_offset := "0"
*.xtdp_port.packet_hdr_nr_bytes_in_length := "4"
*.xtdp_port.packet_hdr_byte_order := "MSB"
#*.xtdp_port.server_mode := "no"
*.xtdp_port.halt_on_connection_reset := "no"
//*.UDP_Port.localIPAddr:="127.0.0.1"
//*.UDP_Port.localPort:="10004"
*.v_UIHandler_CLI_TELNETaspIf.CTRL_PORTNUM := "3457"
*.v_UIHandler_CLI_TELNETaspIf.CTRL_LOGIN_SKIPPED := "yes"
*.v_UIHandler_CLI_TELNETaspIf.CTRL_USERNAME_CLIENT := "ttcn"
*.v_UIHandler_CLI_TELNETaspIf.CTRL_PASSWORD_CLIENT := "ttcn"
*.v_UIHandler_CLI_TELNETaspIf.CTRL_SERVER_PROMPT := "TTCN> "
*.v_UIHandler_CLI_TELNETaspIf.CTRL_MODE := "server"
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_PORTNUM := "3458"
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_LOGIN_SKIPPED := "yes"
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_USERNAME_CLIENT := "ttcn"
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_PASSWORD_CLIENT := "ttcn"
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_SERVER_PROMPT := "TTCN> "
*.v_UIHandler_CLI_displayTELNETaspIf.CTRL_MODE := "server"

#ComponentID.PortName.ParameterName := "ParameterValue"
[EXTERNAL_COMMANDS]

#BeginControlPart := "begin_control_part_command"
#EndControlPart := "end_control_part_command"
#BeginTestCase := "begin_testcase_command"
#EndTestCase := "end_testcase_command"
[LOGGING]
#ConsoleMask := LOG_NOTHING
LogFile := "logs/%e.%h-%r.log"
ConsoleMask := LOG_ALL
LogEventTypes := Yes
#TimeStampFormat := DateTime
#LogEventTypes := Yes
SourceInfoFormat := Stack #Single

#Group := host1, host2, host3
[COMPONENTS]

#ComponentName := Group
[MAIN_CONTROLLER]
TCPPort := 17331

#TCPPort := 9876
#NumHCs := 1
[EXECUTE]
SimpleHello_Demo2.tc_remoteExecutionTest
//saved by GUI
